# News: LINE's APIs will support HTTP/2

LINE's APIs will support HTTP/2

LINE's APIs will support HTTP/2.

# Domain names subject to the update

  • api.line.me
  • api-data.line.me
  • access.line.me

# Supported HTTP versions

See this table for the differences before and after the update:

HTTP version Before update After update
HTTP/2
HTTP/1.1
HTTP/1.0

# Scheduled date of change

August 4, 2020 12:00 ~ 16:00 JST (GMT+9)

# Impact

If you are using any of the above APIs, please confirm that your app can communicate using the updated supported HTTP versions.

Due to this update, when using the above APIs from clients that support HTTP/2 or TLS 1.3, the handshake overhead is reduced and the connection efficiency is improved.

To use the latest protocols such as HTTP/2 and TLS 1.3, we recommend upgrading your development environment such as JDK and other development languages and LINE SDK to the latest versions.

# Other changes

For access the APIs from outside Japan, these 2 changes are made in addition to the above.

We will continue to improve the quality of the services we provide to our developers and we greatly appreciate your understanding.